- Qt 6.8
- Qt Widgets
- C++ Classes
- QStyleOptionFocusRect
- Qt 6.8.1 Reference Documentation

# QStyleOptionFocusRect Class

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle. More...

Header: | `#include <QStyleOptionFocusRect>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QStyleOption

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionFocusRect()
| QStyleOptionFocusRect(const QStyleOptionFocusRect &other)

## Public Variables

QColor | backgroundColor

## Detailed Description

For performance reasons, there are few member functions and the access to the member variables is direct (i.e., using the `.` or `->` operator). This makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

See also QStyleOption.

## Member Type Documentation

### enum QStyleOptionFocusRect::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFocusRect::Type` | `SO_FocusRect` | The type of style option provided (SO_FocusRect for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionFocusRect::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFocusRect::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionFocusRect::QStyleOptionFocusRect()

Constructs a QStyleOptionFocusRect, initializing the members variables to their default values.

### QStyleOptionFocusRect::QStyleOptionFocusRect(const QStyleOptionFocusRect &other)

Constructs a copy of the other style option.

## Member Variable Documentation

### QColor QStyleOptionFocusRect::backgroundColor

This variable holds the background color on which the focus rectangle is being drawn

The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.